﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using CSVConfigDialog;
using dox42.CustomDataSourceKit;

namespace CustomCSVDataSource
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            FolderBrowserDialog o = new FolderBrowserDialog();
            o.Description = "Please choose the dox42 assembly directory!";
            o.SelectedPath = @"D:\vs2008Proj\Word42_2010\dox42AddIn\bin\Debug";
            if (o.ShowDialog() == DialogResult.OK)
            {
                dox42.CustomDataSourceKit.RemoteController.dox42RemoteController.Instance.loaddox42Assemblies(o.SelectedPath);
                Application.Run(new ConfigCSVDataSource());
            }
        }
    }
}
